Package wx :: Package lib :: Package mixins :: Module treemixin :: Class TreeHelper

[frames | no frames]

## Type TreeHelper

    object --+
             |
            TreeHelper

Known Subclasses:
  `DragAndDrop`, `ExpansionState`, `VirtualTree`

This class provides methods that are not part of the API of any tree control, but are convenient to have available.

Method Summary
| ``GetItemChildren`(self, item, recursively)` Return the children of item as a list.
| ``ItemIndex`(self, item, tupleIndex)` Return the index of item.

Method Details

### GetItemChildren(self, item, recursively=False)

Return the children of item as a list.

### ItemIndex(self, item, tupleIndex=True)

Return the index of item. If tupleIndex is True, return a an tuple-based index else return an integer-based index for item.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:46 2007 | http://epydoc.sf.net